#
# spec file for package txt2man
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           txt2man
Version:        1.7.1
Release:        1.11
Summary:        Convert Flat ASCII Text to man Page Format
License:        GPL-2.0-or-later
Group:          Development/Tools/Doc Generators
URL:            https://github.com/mvertes/txt2man
Source0:        https://github.com/mvertes/txt2man/archive/%{name}-%{version}.tar.gz
Requires:       gawk
BuildArch:      noarch

%description
Txt2man converts flat ASCII text to man page format. It is a shell
script using gnu awk, that should run on any Unix like system.

%prep
%autosetup -n %{name}-%{name}-%{version}

%build
%make_build

%install
install -Dpm 0755 bookman %{buildroot}%{_bindir}/bookman
install -Dpm 0755 src2man %{buildroot}%{_bindir}/src2man
install -Dpm 0755 txt2man %{buildroot}%{_bindir}/txt2man
install -Dpm 0644 bookman.1 %{buildroot}%{_mandir}/man1/bookman.1
install -Dpm 0644 src2man.1 %{buildroot}%{_mandir}/man1/src2man.1
install -Dpm 0644 txt2man.1 %{buildroot}%{_mandir}/man1/txt2man.1

%files
%license COPYING
%doc Changelog README
%{_bindir}/bookman
%{_bindir}/src2man
%{_bindir}/txt2man
%{_mandir}/man1/bookman.1%{?ext_man}
%{_mandir}/man1/src2man.1%{?ext_man}
%{_mandir}/man1/txt2man.1%{?ext_man}

%changelog
* Tue Nov 24 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 1.7.1:
  * txt2man: remove ksh check (@eribertomota)
  * src2man: make it compliant with gawk >= 5.0.1 (@eribertomota)
  * txt2man: allow punctuation characters in section names
  * txt2man: allow display blocks starting with a number
  * *man: check for dependencies (@eribertomota)
  * build: make build reproducible
- Changes for version 1.7.0:
  * bookman: added missing space (@marxst)
  * txt2man: remove redundant escapes causing gawk warnings (@jolmg)
  * *man: Fix usage of the date command on BSD systems (@ismaell)
  * txt2man: fix -B option (@bgstack15)
  * src2man: Print names of manuals to stdout (@ldorau)
* Mon Mar 12 2018 mpluskal@suse.com
- Modernise spec file using spec-cleaner
* Sat Jul  8 2017 bwiedemann@suse.com
- Update to 1.6.0
  * txt2man: Format date with C locale (by @Vogtinator)
  * txt2man: Do not overwrite manually specified release with
    autoprobe (by @Vogtinator)
  * txt2man: man page spelling fixes (by @eribertomota)
  * bookman: Fix bashisms (by @eribertomota)
  * bookman, src2man, txt2man: support timestamps from environment
    (by @reinerh) (boo#1047218)
* Fri Jul 31 2015 mpluskal@suse.com
- Cleanup spec file
* Mon Mar 25 2013 asterios.dramis@gmail.com
- Initial rpm release (version 1.5.6).
